diff -Nru dh-virtualenv-1.2.2/debian/changelog dh-virtualenv-1.2.2/debian/changelog
--- dh-virtualenv-1.2.2/debian/changelog	2022-08-25 15:01:52.000000000 -0400
+++ dh-virtualenv-1.2.2/debian/changelog	2023-02-02 14:10:21.000000000 -0500
@@ -1,3 +1,10 @@
+dh-virtualenv (1.2.2-1.3) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Cherry-pick upstream patch for Python 3.11 support (Closes: #1030170)
+
+ -- Kunal Mehta <legoktm@debian.org>  Thu, 02 Feb 2023 14:10:21 -0500
+
 dh-virtualenv (1.2.2-1.2) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru dh-virtualenv-1.2.2/debian/patches/0001-Replace-usage-of-inspect.getargspec-with-inspect.get.patch dh-virtualenv-1.2.2/debian/patches/0001-Replace-usage-of-inspect.getargspec-with-inspect.get.patch
--- dh-virtualenv-1.2.2/debian/patches/0001-Replace-usage-of-inspect.getargspec-with-inspect.get.patch	1969-12-31 19:00:00.000000000 -0500
+++ dh-virtualenv-1.2.2/debian/patches/0001-Replace-usage-of-inspect.getargspec-with-inspect.get.patch	2023-02-02 13:58:02.000000000 -0500
@@ -0,0 +1,24 @@
+From: Andrew Morgan <andrew@amorgan.xyz>
+Date: Tue, 3 Jan 2023 14:29:53 +0000
+Subject: Replace usage of inspect.getargspec with inspect.getfullargspec
+
+It's debatable whether this check is even still needed, but for now
+let's do the simple thing and update it to be compatible with modern
+Python versions.
+---
+ bin/dh_virtualenv | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/bin/dh_virtualenv b/bin/dh_virtualenv
+index 8bafbcf..0a422ad 100755
+--- a/bin/dh_virtualenv
++++ b/bin/dh_virtualenv
+@@ -57,7 +57,7 @@ def main():
+     # passed the packages keyword argument. Newer (like Ubuntu
+     # Precise) expect the whole options to be passed.
+ 
+-    arguments = inspect.getargspec(DebHelper.__init__).args
++    arguments = inspect.getfullargspec(DebHelper.__init__).args
+     if 'packages' in arguments:
+         dh = DebHelper(packages=options.package or None)
+     else:
diff -Nru dh-virtualenv-1.2.2/debian/patches/series dh-virtualenv-1.2.2/debian/patches/series
--- dh-virtualenv-1.2.2/debian/patches/series	1969-12-31 19:00:00.000000000 -0500
+++ dh-virtualenv-1.2.2/debian/patches/series	2023-02-02 13:58:02.000000000 -0500
@@ -0,0 +1 @@
+0001-Replace-usage-of-inspect.getargspec-with-inspect.get.patch
